Subject: bug#13949: 24.4.1; `fill-paragraph' should not always put the buffer as modified

From: Andreas Röhler <[email-masked]>
Date: Mon, 28 Mar 2016 10:01:54 +0200

On 27.03.2016 17:09, Óscar Fuentes wrote:
> Andreas Röhler <[email-masked]> writes:
>
>> Another solution would hash only the paragraph in question, re-format
>> it in a temp buffer and replace original content only if changed.
> If we know the paragraph's begin and end points, we can hash just that
> range and then there is no need of a temporary buffer. I think that this
> condition is met on all cases.

Ideally fill-paragraph would know about the borders of action.

> Anyway, I've made some experiments and hashing a 160 MB file on a 8 year
> old 2.4 GHz 64 bit workstation takes 2.4 seconds.

If there is a faster solution, why not use them? Sure such a function 
isn't called somewhere repeatedly, travelling paragraph by paragraph?